> For the complete documentation index, see [llms.txt](https://docs.globalalerting.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.globalalerting.com/web-api/external-links-for-tenant.md).

# External Links For Tenant

## GET /V2/{tenantVarCode}/tenantexternallinks

> Returns a list of External Links for the tenant

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"External Links For Tenant"}],"paths":{"/V2/{tenantVarCode}/tenantexternallinks":{"get":{"tags":["External Links For Tenant"],"summary":"Returns a list of External Links for the tenant","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExternalLink"}}},"application/json;IEEE754Compatible=false":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExternalLink"}}},"application/json;IEEE754Compatible=true":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExternalLink"}}},"application/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExternalLink"}}},"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExternalLink"}}},"application/octet-stream":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExternalLink"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExternalLink"}}},"text/xml":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExternalLink"}}},"text/csv":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ExternalLink"}}}}}}}}},"components":{"schemas":{"ExternalLink":{"required":["Link","Name","Order"],"type":"object","properties":{"LinkId":{"type":"string","description":"Unique string that identifies the external link","nullable":true},"Name":{"minLength":1,"type":"string","description":"Name for link"},"Link":{"minLength":1,"type":"string","description":"URL for link"},"Order":{"type":"integer","description":"Item order","format":"int32"}},"additionalProperties":false}}}}
```

## POST /V2/{tenantVarCode}/tenantexternallinks

> Creates a new Tenant External Link

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"External Links For Tenant"}],"paths":{"/V2/{tenantVarCode}/tenantexternallinks":{"post":{"tags":["External Links For Tenant"],"summary":"Creates a new Tenant External Link","operationId":"TenantExternalLink","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"ExternalLink","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"text/plain":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"text/json":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"text/xml":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/ExternalLink"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"ExternalLink":{"required":["Link","Name","Order"],"type":"object","properties":{"LinkId":{"type":"string","description":"Unique string that identifies the external link","nullable":true},"Name":{"minLength":1,"type":"string","description":"Name for link"},"Link":{"minLength":1,"type":"string","description":"URL for link"},"Order":{"type":"integer","description":"Item order","format":"int32"}},"additionalProperties":false}}}}
```

## GET /V2/{tenantVarCode}/tenantexternallinks/{externalLinkId}

> Returns a specific Tenant External Link

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"External Links For Tenant"}],"paths":{"/V2/{tenantVarCode}/tenantexternallinks/{externalLinkId}":{"get":{"tags":["External Links For Tenant"],"summary":"Returns a specific Tenant External Link","operationId":"GetTenantExternalLink","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"externalLinkId","in":"path","description":"External Link Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"text/plain":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"text/json":{"schema":{"$ref":"#/components/schemas/ExternalLink"}},"text/xml":{"schema":{"$ref":"#/components/schemas/ExternalLink"}}}}}}}},"components":{"schemas":{"ExternalLink":{"required":["Link","Name","Order"],"type":"object","properties":{"LinkId":{"type":"string","description":"Unique string that identifies the external link","nullable":true},"Name":{"minLength":1,"type":"string","description":"Name for link"},"Link":{"minLength":1,"type":"string","description":"URL for link"},"Order":{"type":"integer","description":"Item order","format":"int32"}},"additionalProperties":false}}}}
```

## DELETE /V2/{tenantVarCode}/tenantexternallinks/{externalLinkId}

> Deletes a specific Tenant External Link

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"External Links For Tenant"}],"paths":{"/V2/{tenantVarCode}/tenantexternallinks/{externalLinkId}":{"delete":{"tags":["External Links For Tenant"],"summary":"Deletes a specific Tenant External Link","parameters":[{"name":"tenantVarCode","in":"path","description":"Tenant Var Code","required":true,"schema":{"type":"string"}},{"name":"externalLinkId","in":"path","description":"External Link Id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```
